Description

I am having difficulty with placing PDF files out of QGIS into Adobe InDesign. There could be an issue also with the type of PDF that gets

outputted.

It would be good to have more support for different PDF specs and PDF output types that can be changed in an output settings screen. At

the moment I am having to convert the PDF files to EPS files to place them in Adobe InDesign CS5.5 as the PDF output cannot be used

directly. Would save me a lot of time if I can import these PDFs directly into Adobe InDesign.

History

#1 - 2013-10-17 01:19 PM - James Harvey

I know that there is a printer output that can be used for a PDF printer instead of using the PDF save, but on mine I cannot get the output for my custom

page sizes when using the printer PDF output. I would like to see more PDF options under the PDF save output from the print composer.

#2 - 2014-01-29 05:46 PM - James Harvey

I am still having issues with PDF placement. I have also tried the raster PDF output from QGIS, but still get errors in Adobe InDesign that the PDF file

cannot be placed. Converting to EPS is my only work around at the moment, but it can get a bit annoying after many updates.

#3 - 2014-01-29 06:00 PM - James Harvey

I have tested the PDF's created by QGIS on a old Macbook Pro in an old copy of InDesign 3 and they work fine. The issue appears to be the Windows

version of InDesign accepting the PDF that was exported on the Mac and allowing placement in my page layout.

#4 - 2014-01-29 06:21 PM - James Harvey

I found this link that has more info about PDF placement errors in InDesign.

http://indesignsecrets.com/failed-to-open-pdf-error-show-options-to-fix-it.php

I tried the method of placement with the shift key to bring up the dialog about placement. I also used the file > place method but both cause placement

errors.

I found that the suggestion of using the Preview app on the Mac to open up the exported PDFs from QGIS and exporting them again using the Preview app

PDF filter “Create Generic PDFX-3 document” worked.

Now if QGIS could only support this PDFX-3 format or similar then that would be great. It would really save me a lot of time working between Mac & PC

platforms.
#5 - 2014-06-08 06:11 PM - James Harvey

Supporting these PDF-X types or other PDF output types would be great and would provide a smooth workflow for me. At the moment I have a few issues

with the conversion via Adobe Acrobat Pro on PC and those that cannot convert I use the Preview App on Mac to export PDF-X file for Adobe InDesign use

on PC.

This PDF to PDF-X process is much faster than my older EPS conversion, but now I am exporting the maps as higher res raster PDF files that usually

convert ok apart from one problem map view that i have not been able to track down the issue with yet.

#6 - 2014-07-26 08:53 PM - James Harvey

Some details on PDF/X-3 format. [[http://www.prepressure.com/pdf/basics/pdfx-3]]

I also found this project that looks open source and has PDF/X support that might be a good place to start for any developer interested in adding this

capability.

[[http://documentation.scribus.net/index.php/PDF_Export]]

It would save me a lot of time converting files for placement into Adobe InDesign on Windows that will not accept the PDF output by default from QGIS.

#7 - 2014-12-02 06:15 PM - James Harvey

It would be nice to see this support happen, but if anyone else has this placement issue, I have improved my process by using an Adobe Acrobat PDF

action to help batch save in PDFx3 format.

#8 - 2015-04-14 07:43 PM - James Harvey

I have updated my Adobe Master Collection to the newer Creative Cloud software and I am able to import PDFs exported from QGIS 2.9.0 directly into

Adobe InDesign without any need for PDFx3 conversion.  One less step in my process, but a big time saver. This might help someone else in publishing.

#9 - 2016-05-24 01:05 PM - Alexander Bruy

- Category changed from Build/Install to Map Composer/Printing

#10 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
